Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit python-pamqp for openSUSE:Factory
Hello community,

here is the log from the commit of package python-pamqp for openSUSE:Factory
checked in at 2019-04-30 13:05:13
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python-pamqp (Old)
and /work/SRC/openSUSE:Factory/.python-pamqp.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python-pamqp"

Tue Apr 30 13:05:13 2019 rev:5 rq:698176 version:2.3.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/python-pamqp/python-pamqp.changes
2019-03-29 20:43:13.082677220 +0100
+++ /work/SRC/openSUSE:Factory/.python-pamqp.new.5536/python-pamqp.changes
2019-04-30 13:05:15.225942529 +0200
@@ -1,0 +2,20 @@
+Fri Apr 26 10:04:09 UTC 2019 - pgajdos@xxxxxxxx
+
+- do not require unittest2 for testing with python3
+
+-------------------------------------------------------------------
+Fri Apr 26 07:42:34 UTC 2019 - pgajdos@xxxxxxxx
+
+- version update to 2.3.0
+ - Add :py:func:`pamqp.encode.support_deprecated_rabbitmq` function
+ to limit data types available when encoding field-tables for older
+ RabbitMQ versions.
+ - Change :py:meth:`pamqp.encode.timestamp` to allow for numeric/epoch
+ timestamps (#14 - `mosquito <https://github.com/mosquito>`_)
+ - Change :py:meth:`pamqp.frame.frame_parts` to a public method
+ (#15 - `mosquito <https://github.com/mosquito>`_)
+ - Cleanup of code to pass configured flake8 tests
+ - Add support for 8-bit unsigned integer values in
+ :py:meth:`pamqp.encode.table_integer`
+
+-------------------------------------------------------------------

Old:
----
2.1.0.tar.gz

New:
----
2.3.0.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python-pamqp.spec ++++++
--- /var/tmp/diff_new_pack.0PffX9/_old 2019-04-30 13:05:15.881941937 +0200
+++ /var/tmp/diff_new_pack.0PffX9/_new 2019-04-30 13:05:15.885941933 +0200
@@ -18,7 +18,7 @@

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name: python-pamqp
-Version: 2.1.0
+Version: 2.3.0
Release: 0
Summary: A pure-python AMQP 0-9-1 frame encoder and decoder
License: BSD-3-Clause
@@ -30,6 +30,7 @@
BuildRequires: %{python_module setuptools}
BuildRequires: fdupes
BuildRequires: python-rpm-macros
+BuildRequires: python-unittest2
BuildArch: noarch
%python_subpackages


++++++ 2.1.0.tar.gz -> 2.3.0.tar.gz ++++++
++++ 5758 lines of diff (skipped)


< Previous Next >
This Thread
  • No further messages